Download it now!
Bug 61514 - clean obsolete tools/ filesystem abstraction
Summary: clean obsolete tools/ filesystem abstraction
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: Tomáš Turek
URL:
Whiteboard: target:4.1.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2013-02-26 15:32 UTC by Michael Meeks
Modified: 2015-12-15 23:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-02-26 15:32:51 UTC
We have these files:

tools/source/fsys/wntmsc.hxx
tools/source/fsys/unx.hxx

that essentially duplicate system abstraction information from sal/ of course - we're trying to write all that cruft out slowly, and this should be easy to help out with.

eg. removing:

    #define DRIVE_EXISTS(c) ( TRUE )

in the unx header would be good.

Replacing #define PATHDELIMITER   ";" from the wntmsc.hxx header at it's use-sites with SAL_PATHSEPARATOR would be better NB. delimiter -> separator ;-) it's the wrong name.

And so on - lots of little things to clean up there.

Thanks ! :-)
Comment 1 Tomáš Turek 2013-03-24 18:20:37 UTC
Hi,

I push a patch to gerrit https://gerrit.libreoffice.org/2968
Comment 2 Andras Timar 2013-04-04 20:39:47 UTC
tools/source/fsys/wntmsc.hxx and tools/source/fsys/unx.hxx are no more, closing.
Comment 3 Commit Notification 2013-04-04 20:42:35 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75e014c30753f635ddc74cdb654a8342049a114b

fdo#61514 clean obsolete tools/ filesystem abstraction



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2015-12-15 23:56:10 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]